Custody providers

Link Existing Anchorage Custody Wallet

Fetches an existing Anchorage wallet by ID, stores it as a custody wallet with details, and refreshes its balance.

POSThttps://api.toku.com/stablecoin-payroll/link-existing-anchorage-custody-wallet

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/link-existing-anchorage-custody-wallet' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "walletId": "string",
  "walletName": "string"
}'
200 response
{
  "success": true,
  "wallet": {
    "custodyWalletID": "string",
    "custodyProviderID": "string",
    "orgID": "string",
    "walletLink": "string",
    "walletAddress": "string",
    "walletName": "string",
    "networkType": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": "string",
    "balanceAmount": "string",
    "balanceUpdatedAt": "string",
    "gasBalance": "string",
    "gasBalanceUpdatedAt": "string",
    "updatingBalance": true,
    "legacyMigratedAt": "string",
    "legacyModelID": "string",
    "parentCustodyWalletID": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

walletIdstringrequired

Allowed: at least 1 characters

walletNamestringrequired

Allowed: at least 1 characters

Response

200Successful response
successbooleanrequired
walletobject | nullrequired
Show child attributes
custodyWalletIDstringrequired
custodyProviderIDstringrequired
orgIDstringrequired
walletLinkstring | nullrequired
walletAddressstringrequired
walletNamestringrequired
networkTypestringrequired
createdAtstringrequired
updatedAtstringrequired
deletedAtstring | nullrequired
balanceAmountstring | nullrequired
balanceUpdatedAtstring | nullrequired
gasBalancestring | nullrequired
gasBalanceUpdatedAtstring | nullrequired
updatingBalanceboolean | nullrequired
legacyMigratedAtstring | nullrequired
legacyModelIDstring | nullrequired
parentCustodyWalletIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits